# REST

Integrating with a REST API is a key step in enhancing your mobile application, allowing it to access and interact with external data and services efficiently. Jigx app solutions integrate with REST API through the REST data provider, for more information on the provider, see [REST](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest), [REST Authentication](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/rest-authentication), [Local REST Calls](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/local-rest-calls), [Microsoft Graph OAuth](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/microsoft-graph-oauth), [REST syncing & loading local Data](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/rest-syncing-_-loading-local-data) and [REST best practice](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/rest-best-practice).

## What is covered in the REST examples

* REST operators
  * PUT
  * POST
  * DELETE
  * GET
* [Local REST Calls](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/local-rest-calls)
* [Parameters](https://docs.jigx.com/rest-overview#tpoXh)
  * header
  * path
  * body
* [InputTransform](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/rest-overview)
* [outputTransform](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/rest-overview)
* [File handling](https://docs.jigx.com/building-apps-with-jigx/data/file-handling) - Image conversion
* [continuation](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/rest-overview)
* records
* [forRowsWithValues](https://docs.jigx.com/building-apps-with-jigx/data/data-providers/rest/rest-overview)

## Examples

<table data-header-hidden><thead><tr><th width="167.5546875"></th><th></th></tr></thead><tbody><tr><td><a href="/pages/l3bA4ldWG2s61mMAxjN2">Hello REST</a></td><td>In this section, a REST API is used to create a customers Jigx app, allowing you to add new customers and update and view customer details, location, and images.</td></tr><tr><td><a href="/pages/sXKv0m2fQbsO3PHPWNo2">MS Graph</a></td><td>The MS Graph examples use the User, Calendar, Mail, Insights, and To-do tasks to create a powerful Jigx apps with everything you need in one app.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jigx.com/examples/readme/data-providers/rest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
